PDA

View Full Version : GXT 2.2.5 and 3.0 License



ngallagher
1 May 2012, 9:47 PM
Hi,

I would like to use GXT 2.2.5 and perhaps GXT 3.x libraries to develop a site. I have found the licensing information confusing and unclear. Here is what I would like to do.

1) Use the com.extjs JAR for ext version 2.2.5
2) Eventually use a GXT 3.x JAR for future development

I will not at any stage be modifying or releasing a modification of GXT, I just wish to use it in combination with GWT to create. I will not be using any tools from Sencha. Am I still obliged to purchase a License? If so why?

Thanks,

ngallagher
1 May 2012, 9:50 PM
Hi,
I would like to use GXT 2.2.5 and perhaps GXT libraries to develop a site. I have found the licensing information confusing and unclear. Here is what I would like to do.
1) Use the com.extjs JAR for ext version 2.2.5
2) Eventually use the GXT 3.0 JAR for future development
I will not at any stage be modifying or releasing a modification of GXT, I just wish to use it in combination with GWT to create. I will not be using any tools from Sencha. None of the code I develop can be open source. Am I still obliged to purchase a License? If so why?
Thanks,

Colin Alworth
2 May 2012, 6:49 AM
If the information at http://www.sencha.com/products/gxt/license/ is not sufficient, please contact licensing@sencha.com for more information - these forums are managed by developers, and we are not able to give legal advice.